package commands;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import spring.Context;

import dao.SalaDAO;

public class SalaRemover extends AbstractCommand {

	private SalaDAO salaDao = new SalaDAO();

	/* (não-Javadoc)
	 * @see comandos.AbstractCommand#processarComando(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, Context context) {
		
		// TODO Stub de método gerado automaticamente
		String idParam = request.getParameter("id");
		int    id      = Integer.parseInt(idParam);
	    System.out.println("vai remover");
		String msg = salaDao.removerSala(id);
		//RequestDispatcher rd = request.getRequestDispatcher("professorRemover.jsp?mensagem=Sala Removida com Sucesso!");
		try {
			if (msg!=null)
				response.sendRedirect("Command?comando=SalaPreencheLista&mensagem="+msg);			
			else
				response.sendRedirect("Command?comando=SalaPreencheLista&mensagem=Sala Removida com Sucesso!");
			//rd.forward(request,response);
		} catch (IOException e) {
			// TODO Bloco catch gerado automaticamente
			e.printStackTrace();
		}
	}


}
